#include<bits/stdc++.h>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);	
	cin.tie(NULL);
	
	int n;
	
	cin >> n;
	
	int emisija[n];
	int recept[n];
	int scenario[n];
	
	for (int i = 1; i <= n; i++) {
		cin >> emisija[i];
	}
	
	for (int i = 1; i <= n; i++) {
		cin >> recept[i];
	}
	
	for (int i = 1; i <= n; i++) {
		cin >> scenario[i];
	}
	
	int x;
	int brojac = 0;
	int broj = 0;
	
	for(int i = 1; i <= n; i++) {	
		for (int j = 1; j <= n; j++) {
			if (emisija[i-1] == emisija[i]) {
			brojac += x;
			break;
		}
			if (emisija[i] == recept[scenario[j]]) {
				broj++;
			}
		}
		
		x = broj;
		brojac += broj;
		broj = 0;	
}
	
	cout << brojac;
	
	return 0;
}